| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODHorizonTreeItem Class Reference
uiODMain

`#include <uiodhortreeitem.h>`

Inheritance diagram for uiODHorizonTreeItem:
[legend]

## Public Member Functions
| uiODHorizonTreeItem (const EM::ObjectID &, bool rgba, bool atsect)
| uiODHorizonTreeItem (const VisID &, bool rgba, bool atsect, bool dummy)
VisID | reloadEMObject () override
Public Member Functions inherited from uiODEarthModelSurfaceTreeItem
bool | askSave ()
EM::ObjectID | emObjectID () const
bool | isOnlyAtSections () const override
void | setOnlyAtSectionsDisplay (bool) override
uiVisEMObject * | visEMObject () const
Public Member Functions inherited from uiODDisplayTreeItem
virtual bool | actModeWhenSelected () const
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
void | prepareForShutdown () override
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODHorizonTreeItem ()
bool | askContinueAndSaveIfNeeded (bool withcancel) override
uiString | createDisplayName () const override
void | createMenu (MenuHandler *, bool istb) override
void | dataReadyCB (CallBacker *)
void | dispChangeCB (CallBacker *)
RefMan< visSurvey::HorizonDisplay > | getDisplay ()
ConstRefMan< visSurvey::HorizonDisplay > | getDisplay () const
void | handleMenuCB (CallBacker *) override
bool | init () override
void | initMenuItems ()
void | initNotify () override
const char * | parentType () const override
Protected Member Functions inherited from uiODEarthModelSurfaceTreeItem
| uiODEarthModelSurfaceTreeItem (const EM::ObjectID &)
| ~uiODEarthModelSurfaceTreeItem ()
void | addAuxDataItems ()
void | askSaveCB (CallBacker *)
void | checkCB (CallBacker *) override
uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const override
bool | createUiVisObj ()
bool | doSave ()
void | finishedEditingCB (CallBacker *)
bool | isHorReady (EM::ObjectID &)
void | keyPressCB (CallBacker *) override
void | saveCB (CallBacker *)
void | selChg (CallBacker *)
void | updateTrackingState ()
Protected Member Functions inherited from uiODDisplayTreeItem
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
bool | doubleClick (uiTreeViewItem *) override
uiString | getLockMenuText () const
bool | isExpandable () const override
bool | isSelectable () const override
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
MenuItem | addcontouritm_
MenuItem | addcrlitm_
MenuItem | addinlitm_
MenuItem | addzitm_
MenuItem | algomnuitem_
bool | atsections_
MenuItem | calcvolmnuitem_
MenuItem | childrenmnuitem_
MenuItem | delchildrenmnuitem_
uiEMDataPointSetPickDlg * | dpspickdlg_ = nullptr
MenuItem | fillholesmnuitem_
MenuItem | filterhormnuitem_
MenuItem | flatcubemnuitem_
MenuItem | geom2attrmnuitem_
MenuItem | hordatamnuitem_
MenuItem | isochronmnuitem_
MenuItem | lockmnuitem_
MenuItem | parentsmnuitem_
MenuItem | parentsrdlmnuitem_
MenuItem | pickdatamnuitem_
MenuItem | positionmnuitem_
bool | rgba_
MenuItem | shiftmnuitem_
MenuItem | snapeventmnuitem_
MenuItem | unlockmnuitem_
MenuItem | workflowsmnuitem_
Protected Attributes inherited from uiODEarthModelSurfaceTreeItem
MenuItem | changesetupmnuitem_
MenuItem | createflatscenemnuitem_
EM::ObjectID | emid_
MenuItem | enabletrackingmnuitem_
bool | istrackingallowed_ = true
MenuItem | reloadmnuitem_
MenuItem | saveasmnuitem_
MenuItem | savemnuitem_
MenuItem | starttrackmnuitem_
BufferString | timelastmodified_
MenuItem | trackmenuitem_
uiVisEMObject * | uivisemobj_ = nullptr
Protected Attributes inherited from uiODDisplayTreeItem
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiODDisplayTreeItem
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODHorizonTreeItem() [1/2]

uiODHorizonTreeItem::uiODHorizonTreeItem | ( | const VisID & | ,
|  | bool | rgba,
|  | bool | atsect,
|  | bool | dummy )

## ◆ uiODHorizonTreeItem() [2/2]

uiODHorizonTreeItem::uiODHorizonTreeItem | ( | const EM::ObjectID & | ,
|  | bool | rgba,
|  | bool | atsect )

## ◆ ~uiODHorizonTreeItem()

uiODHorizonTreeItem::~uiODHorizonTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ askContinueAndSaveIfNeeded()

bool uiODHorizonTreeItem::askContinueAndSaveIfNeeded | ( | bool | withcancel | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ createDisplayName()

uiString uiODHorizonTreeItem::createDisplayName | ( |  | ) | const
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ createMenu()

void uiODHorizonTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override protected virtual

Reimplemented from uiODEarthModelSurfaceTreeItem.

## ◆ dataReadyCB()

void uiODHorizonTreeItem::dataReadyCB | ( | CallBacker * |  | ) |
| protected

## ◆ dispChangeCB()

void uiODHorizonTreeItem::dispChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ getDisplay() [1/2]

RefMan< visSurvey::HorizonDisplay > uiODHorizonTreeItem::getDisplay | ( |  | ) |
| protected

## ◆ getDisplay() [2/2]

ConstRefMan< visSurvey::HorizonDisplay > uiODHorizonTreeItem::getDisplay | ( |  | ) | const
| protected

## ◆ handleMenuCB()

void uiODHorizonTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from uiODEarthModelSurfaceTreeItem.

## ◆ init()

bool uiODHorizonTreeItem::init | ( |  | ) |
| override protected virtual

Reimplemented from uiODEarthModelSurfaceTreeItem.

## ◆ initMenuItems()

void uiODHorizonTreeItem::initMenuItems | ( |  | ) |
| protected

## ◆ initNotify()

void uiODHorizonTreeItem::initNotify | ( |  | ) |
| override protected virtual

Reimplemented from uiODEarthModelSurfaceTreeItem.

## ◆ parentType()

const char * uiODHorizonTreeItem::parentType | ( |  | ) | const
| inline override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ reloadEMObject()

VisID uiODHorizonTreeItem::reloadEMObject | ( |  | ) |
| override virtual

Reimplemented from uiODEarthModelSurfaceTreeItem.

## Member Data Documentation

## ◆ addcontouritm_

MenuItem uiODHorizonTreeItem::addcontouritm_
| protected

## ◆ addcrlitm_

MenuItem uiODHorizonTreeItem::addcrlitm_
| protected

## ◆ addinlitm_

MenuItem uiODHorizonTreeItem::addinlitm_
| protected

## ◆ addzitm_

MenuItem uiODHorizonTreeItem::addzitm_
| protected

## ◆ algomnuitem_

MenuItem uiODHorizonTreeItem::algomnuitem_
| protected

## ◆ atsections_

bool uiODHorizonTreeItem::atsections_
| protected

## ◆ calcvolmnuitem_

MenuItem uiODHorizonTreeItem::calcvolmnuitem_
| protected

## ◆ childrenmnuitem_

MenuItem uiODHorizonTreeItem::childrenmnuitem_
| protected

## ◆ delchildrenmnuitem_

MenuItem uiODHorizonTreeItem::delchildrenmnuitem_
| protected

## ◆ dpspickdlg_

uiEMDataPointSetPickDlg* uiODHorizonTreeItem::dpspickdlg_ = nullptr
| protected

## ◆ fillholesmnuitem_

MenuItem uiODHorizonTreeItem::fillholesmnuitem_
| protected

## ◆ filterhormnuitem_

MenuItem uiODHorizonTreeItem::filterhormnuitem_
| protected

## ◆ flatcubemnuitem_

MenuItem uiODHorizonTreeItem::flatcubemnuitem_
| protected

## ◆ geom2attrmnuitem_

MenuItem uiODHorizonTreeItem::geom2attrmnuitem_
| protected

## ◆ hordatamnuitem_

MenuItem uiODHorizonTreeItem::hordatamnuitem_
| protected

## ◆ isochronmnuitem_

MenuItem uiODHorizonTreeItem::isochronmnuitem_
| protected

## ◆ lockmnuitem_

MenuItem uiODHorizonTreeItem::lockmnuitem_
| protected

## ◆ parentsmnuitem_

MenuItem uiODHorizonTreeItem::parentsmnuitem_
| protected

## ◆ parentsrdlmnuitem_

MenuItem uiODHorizonTreeItem::parentsrdlmnuitem_
| protected

## ◆ pickdatamnuitem_

MenuItem uiODHorizonTreeItem::pickdatamnuitem_
| protected

## ◆ positionmnuitem_

MenuItem uiODHorizonTreeItem::positionmnuitem_
| protected

## ◆ rgba_

bool uiODHorizonTreeItem::rgba_
| protected

## ◆ shiftmnuitem_

MenuItem uiODHorizonTreeItem::shiftmnuitem_
| protected

## ◆ snapeventmnuitem_

MenuItem uiODHorizonTreeItem::snapeventmnuitem_
| protected

## ◆ unlockmnuitem_

MenuItem uiODHorizonTreeItem::unlockmnuitem_
| protected

## ◆ workflowsmnuitem_

MenuItem uiODHorizonTreeItem::workflowsmnuitem_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025